Bug 77031

Summary: [Qt] Inspector WebSocket backend protocol update
Product: WebKit Reporter: Leo Franchi <leo>
Component: Web Inspector (Deprecated)Assignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: hausmann, jturcotte, webkit.review.bot
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on: 34598    
Bug Blocks:    
Attachments:
Description Flags
Patch
none
Patch
none
Updated/rebased patch for updated websocket protocol version
none
Updated/rebased patch for updated websocket protocol version none

Description Leo Franchi 2012-01-25 11:20:30 PST
Inspector WebSocket backend protocol update
Comment 1 Leo Franchi 2012-01-25 11:24:23 PST
Created attachment 123977 [details]
Patch
Comment 2 Leo Franchi 2012-01-25 11:48:04 PST
Created attachment 123980 [details]
Patch
Comment 3 Simon Hausmann 2012-09-06 22:42:03 PDT
Jocelyn, does this patch still apply, i.e. do we still need it?

Apologies Leo, this one seems to have slipped through the cracks entirely. Hadn't noticed this patch since you uploaded it in January :(
Comment 4 Jocelyn Turcotte 2012-09-07 02:16:01 PDT
Oh, yes! Else it won't be possible to use the remote inspector at all for webkit1 since our client also got the new protocol.
Comment 5 Jocelyn Turcotte 2012-09-07 02:17:31 PDT
(In reply to comment #3)
> Apologies Leo, this one seems to have slipped through the cracks entirely. Hadn't noticed this patch since you uploaded it in January :(

My fault, I should have put myself on CC after I gave feedback to Leo about it on IRC :S
Comment 6 Leo Franchi 2012-09-07 05:14:49 PDT
I admit I also somewhat forgot about it too. Do I need to rebase and retest, has a lot of stuff changed over the last few months?
Comment 7 Jocelyn Turcotte 2012-09-07 06:27:18 PDT
There isn't probably much that changed, so it's more a matter of rebasing it and verify if it still works with a QtTestBrowser client.
Comment 8 Leo Franchi 2012-09-11 07:05:39 PDT
Created attachment 163354 [details]
Updated/rebased patch for updated websocket protocol version
Comment 9 Leo Franchi 2012-09-11 07:07:19 PDT
Ok, I rebased the patch on current HEAD. I tested with QtTestBrowser---now with this patch I am able to connect to the remote web inspector both with QtTestBrowser and with a recent WebKit browser like Chrome v23.

I don't remember the code super well as it was 9 months ago, so have a go at reviewing and I'll fix things up as they come up :)
Comment 10 WebKit Review Bot 2012-09-11 07:09:10 PDT
Attachment 163354 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/WebKit/qt/ChangeLog', u'Source/WebK..." exit_code: 1
Source/WebKit/qt/WebCoreSupport/InspectorServerQt.cpp:195:  Tab found; better to use spaces  [whitespace/tab] [1]
Total errors found: 1 in 3 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 11 Leo Franchi 2012-09-12 05:47:12 PDT
Created attachment 163606 [details]
Updated/rebased patch for updated websocket protocol version

Tab removed
Comment 12 WebKit Review Bot 2012-09-17 02:37:29 PDT
Comment on attachment 163606 [details]
Updated/rebased patch for updated websocket protocol version

Clearing flags on attachment: 163606

Committed r128731: <http://trac.webkit.org/changeset/128731>
Comment 13 WebKit Review Bot 2012-09-17 02:37:32 PDT
All reviewed patches have been landed.  Closing bug.